"use strict";

Object.defineProperty(exports, "__esModule", {
    value: true
});
exports.jsSafeString = jsSafeString;
exports.getSuffix = getSuffix;

var _chalk = require("chalk");

var _chalk2 = _interopRequireDefault(_chalk);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function jsSafeString(str) {
    return str.replace(/\./g, "_").replace(/\-/g, "_");
}

function getSuffix(name) {
    var regex = /^grimoirejs\-?(.+)?/;
    var regexResult = void 0;
    if (regexResult = regex.exec(name)) {
        if (regexResult[1]) {
            return jsSafeString(regexResult[1]);
        } else {
            return undefined;
        }
    } else {
        console.warn(_chalk2.default.bgBlack.yellow("Project name " + name + " is not valid for grimoirejs package."));
        return jsSafeString(name);
    }
}